package com.casic.missiles.modular.system.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.casic.missiles.model.response.ResponseData;
import com.casic.missiles.modular.system.model.DeviceImei;
import org.springframework.web.multipart.MultipartFile;

import java.util.Map;

public interface IDeviceImeiService {

    ResponseData deviceImeiListPage(Page<Map<String,Object>>  page, String devcode);

    Object addImei(DeviceImei deviceImei);

    Object editImei(DeviceImei deviceImei);

    Object deleteImei(Long id);

    Object importImeiList(MultipartFile uploadFile);
}
